Loading...
Searching...
No Matches
Dune::Functions::LagrangeNode< GV, k, R > Class Template Reference

`#include <dune/functions/functionspacebases/lagrangebasis.hh>`

Inheritance diagram for Dune::Functions::LagrangeNode< GV, k, R >:

## Public Types

using | size_type = std::size_t
using | Element = typename GV::template Codim<0>::Entity
using | FiniteElement = typename FiniteElementCache::FiniteElementType

## Public Member Functions

| LagrangeNode ()
| Constructor without order (uses the compile-time value).
| LagrangeNode (unsigned int order)
| Constructor with a run-time order.
const Element & | element () const
| Return current element, throw if unbound.
const FiniteElement & | finiteElement () const
| Return the LocalFiniteElement for the element we are bound to.
void | bind (const Element &e)
| Bind to element.
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Member Functions

static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf = true
static const bool | isPower = false
static const bool | isComposite = false

## Protected Member Functions

unsigned int | order () const
size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Protected Attributes

unsigned int | order_
FiniteElementCache | cache_
const FiniteElement * | finiteElement_
const Element * | element_

## Member Typedef Documentation

## Element

template<typename GV, int k, typename R>

using Dune::Functions::LagrangeNode< GV, k, R >::Element = typename GV::template Codim<0>::Entity

## FiniteElement

template<typename GV, int k, typename R>

using Dune::Functions::LagrangeNode< GV, k, R >::FiniteElement = typename FiniteElementCache::FiniteElementType

## size_type

template<typename GV, int k, typename R>

using Dune::Functions::LagrangeNode< GV, k, R >::size_type = std::size_t

## Constructor & Destructor Documentation

## LagrangeNode() [1/2]

template<typename GV, int k, typename R>

Dune::Functions::LagrangeNode< GV, k, R >::LagrangeNode | ( |  | ) |

inline

Constructor without order (uses the compile-time value).

## LagrangeNode() [2/2]

template<typename GV, int k, typename R>

Dune::Functions::LagrangeNode< GV, k, R >::LagrangeNode | ( | unsigned int | order | ) |

inline

Constructor with a run-time order.

## Member Function Documentation

## bind()

template<typename GV, int k, typename R>

void Dune::Functions::LagrangeNode< GV, k, R >::bind | ( | const Element & | e | ) |

inline

Bind to element.

## degree()

constexpr auto Dune::Functions::LeafBasisNode::degree | ( |  | ) |

inline static constexpr inherited

## element()

template<typename GV, int k, typename R>

const Element & Dune::Functions::LagrangeNode< GV, k, R >::element | ( |  | ) | const

inline

Return current element, throw if unbound.

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## finiteElement()

template<typename GV, int k, typename R>

const FiniteElement & Dune::Functions::LagrangeNode< GV, k, R >::finiteElement | ( |  | ) | const

inline

Return the LocalFiniteElement for the element we are bound to.

The LocalFiniteElement implements the corresponding interfaces of the dune-localfunctions module

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## order()

template<typename GV, int k, typename R>

unsigned int Dune::Functions::LagrangeNode< GV, k, R >::order | ( |  | ) | const

inline protected

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## cache_

template<typename GV, int k, typename R>

FiniteElementCache Dune::Functions::LagrangeNode< GV, k, R >::cache_

protected

## element_

template<typename GV, int k, typename R>

const Element* Dune::Functions::LagrangeNode< GV, k, R >::element_

protected

## finiteElement_

template<typename GV, int k, typename R>

const FiniteElement* Dune::Functions::LagrangeNode< GV, k, R >::finiteElement_

protected

## isComposite

const bool Dune::Functions::LeafBasisNode::isComposite = false

static inherited

## isLeaf

const bool Dune::Functions::LeafBasisNode::isLeaf = true

static inherited

## isPower

const bool Dune::Functions::LeafBasisNode::isPower = false

static inherited

## order_

template<typename GV, int k, typename R>

unsigned int Dune::Functions::LagrangeNode< GV, k, R >::order_

protected

The documentation for this class was generated from the following file:

- lagrangebasis.hh